<template>
  <div>
    <AppCheckBox v-model="selectAll" />

    <slot></slot>
  </div>
</template>

<script setup>
import { ref, defineProps, watch } from 'vue';

const selectAll = ref(false);
const props = defineProps({
  modelValue: Array
});

watch(selectAll, (prevSelectAll) => {
  props.modelValue.forEach((item) => {
    item.checked = prevSelectAll;
  });
});
</script>

<style lang="scss" scoped></style>
